"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7C10>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7CA0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7D30>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7DC0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7E50>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7EE0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52A7F70>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3040>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B30D0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3160>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B31F0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3280>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3310>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B33A0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3430>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B34C0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3550>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B35E0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3670>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3700>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3790>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3820>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B38B0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3940>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3A60>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B39D0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3AF0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3B80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3C10>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3CA0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3D30>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3DC0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3E50>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3EE0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B3F70>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6040>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B60D0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6160>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B61F0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6280>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6310>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B63A0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6430>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B64C0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6550>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B65E0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6670>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6700>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6790>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6820>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B68B0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6940>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B69D0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6A60>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6AF0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6B80>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6C10>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6CA0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6D30>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6DC0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6E50>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6EE0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B6F70>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9040>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B90D0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9280>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9160>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9310>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B93A0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9430>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B94C0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9550>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9670>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B95E0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9700>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9790>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9820>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9940>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B98B0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B99D0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9A60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9AF0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9B80>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9C10>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x00000232F52B9CA0>)]
name: str = 'fr_HOCCN'
